## org.jfree.chart.event
Class LegendChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.LegendChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class LegendChangeEvent
extends ChartChangeEvent

A change event that encapsulates information about a change to a chart legend.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.event.ChartChangeEvent
`GENERAL, NEW_DATASET, UPDATED_DATASET`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LegendChangeEvent(Legend legend)` Creates a new LegendChangeEvent.

Method Summary
`Legend` `getLegend()` Returns the legend that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LegendChangeEvent

    public LegendChangeEvent(Legend legend)

  Creates a new LegendChangeEvent.

Parameters:
  `legend` - the legend that generated the event.

Method Detail

### getLegend

    public Legend getLegend()

  Returns the legend that generated the event.

  Returns:
    the legend that generated the event.